<!--eslint-disable--> 
<template>
	<div class="users">
		<div class="users-list">
			<p class="users-list-title">Lista de usuarios</p>
			<ul>
				<li v-for="(userData, index) in usersData" :key="index" v-on:click="showUserInfo(index)">
					<p>{{ userData.name }}</p>
				</li>
			</ul>
		</div>
		<div class="users-info">
			<div v-if="userInfo != null">
				<p class="users-info-title">Usuario: {{ usersData[userInfo].id }}</p>
        <p><strong>Nombre:</strong><span> {{ usersData[userInfo].name }} </span></p>
				<p><strong>Email:</strong> <a :href="'mailto:' + usersData[userInfo].email">{{ usersData[userInfo].email }}</a></p>
			</div>			
		</div>
	</div>
</template>
<script>
/* eslint-disable */
import axios from 'axios';

export default {
  data(){
		return{
			usersData: [],
			userInfo: null
		}
	},
	created(){
		axios
		.get('https://my-user-manager.herokuapp.com/users')
		.then(response => (this.usersData = response.data))
	},
	methods:{
		showUserInfo: function(index){
			this.userInfo = index
		}
	}
}
</script>

<style scoped>
  .users{
    margin:0px;
    width:100%;
    padding:0px;
}

.users-list, .users-info{
  background-color: #bbf5ad;
	display: inline-block;
	width:50%;
	border: 1px solid #ddd;
	border-radius: 5px;
	margin: 15px;
	border: 1px solid #ddd;
	border-radius: 5px;
	box-shadow: 0px 5px 2px #eee;
}

.users-list-title, .users-info-title{
	color: rgb(0, 0, 0);
	background-color: #75c461;
	padding: 10px;
	border-radius: 0 0 10px 10px; 
	border-bottom: 1px solid #ddd;
  font-weight: bold;
  font-size: 1.5rem;
  margin: auto;
}

ul{
	list-style-type: none;
	padding: 15px;
}

li{
  background-color: #eceff1;
	border-radius: 5px;
	padding: 10px;
  box-shadow: 0px 4px 7px rgba(0, 0, 0, 0.1);
	margin: 4px 0px;
	cursor: pointer;
}

li:hover{
	background-color: #dd9f2c;
	color:#EEEEEE;
}

.users-info div p strong{
	display: block;
	margin-bottom: 7px;
	margin: 10px;
}

.users-info div p a{
  background-color: #eceff1;
	color: #000000;
	text-decoration: none;
	border-radius: 5px;
	margin: 15px;
	padding: 5px;
  box-shadow: 0px 4px 7px rgba(0, 0, 0, 0.1);
}

.users-info div p span{
  background-color: #eceff1;
	color: #000000;
	text-decoration: none;
	border-radius: 5px;
	margin: 15px;
	padding: 5px;
  box-shadow: 0px 4px 7px rgba(0, 0, 0, 0.1);
}

.users-info div p a:hover{
	background: #dd9f2c;
	color:#EEEEEE;
}
</style>
